<?xml version="1.0" encoding="utf-8" ?>
<select>
	<selectstr>
		SELECT
		bednettypeid,
		typename,
		if_double_net,
		if_double_spring,
		if_15cm_strip,

		spring_mtrl_formula,
		spring_hr_formula,
		fabrics1_mtrl_formula,
		fabrics2_mtrl_formula,
		if_part,
		if_snake_wire,
		snake_wire_diameter,
		snake_wire_mtrl_formula,
		if_hard_around,
		hard_around_mtrl_formula,
		hard_around_hr_formula,
		if_pocket_around,
		pocket_around_spring_formula,
		pocket_around_fabrics_formula,
		if_side_iron,
		side_iron_mtrl_formula,
		side_iron_hr_formula,
		glue_mtrl_formula,
		if_rsORwa,
		rsORwa_mtrl_formula,
		rsORwa_hr_formula,
		if_sponge_drilling,
		sponge_drilling_hr_formula,
		fork_mtrl_formula,
		fork_hr_formula,
		cnail_mtrl_formula,
		cnail_hr_formula,
		sponge_mtrl_formula,
		sponge_hr_formula,
		edge_mtrl_formula,
		edge_hr_formula,

		felt_mtrl_formula,
		felt_hr_formula,

		packet_mtrl_formula,
		packet_hr_formula,

		sponge_mtrl_tc_formula,


		createtime,
		createby,

		spring_weight_formula,
		side_iron_weight_formula,
		hard_around_weight_formula,
		fabrics1_weight_formula,
		fabrics2_weight_formula,
		felt_weight_formula,
		cnail_weight_formula,
		sponge_weight_formula,
		sponge_weight_tc_formula,
		edge_weight_formula,
		fork_weight_formula
		From u_bednet_type
	</selectstr>
	<where>
		<when notnull="@arg_bednettypeid">
			bednettypeid=@arg_bednettypeid
		</when>
	</where>
	<displayfields>
		<field field="pid" compute="getrow()">序</field>
		<field field="typename">名称</field>
		<field field="if_double_net" datatype="checkbox">双网？</field>
		<field field="if_double_spring" datatype="checkbox">双簧？</field>
		<field field="if_15cm_strip" datatype="checkbox">15分布条？</field>
		<field field="if_part" datatype="checkbox">多区袋装？</field>
		<field field="if_snake_wire" datatype="checkbox">蛇线？</field>
		<field field="snake_wire_diameter" datatype="number">蛇线线径MM</field>
		<field field="snake_wire_mtrl_formula">蛇线材料成本公式</field>
		<field field="if_hard_around" datatype="checkbox">四周加硬？</field>
		<field field="hard_around_mtrl_formula">四周加硬材料成本公式</field>
		<field field="hard_around_hr_formula">四周加硬人力成本公式</field>
		<field field="if_pocket_around" datatype="checkbox">四周口袋？</field>
		<field field="pocket_around_spring_formula">四周口袋弹簧成本公式</field>
		<field field="pocket_around_fabrics_formula">四周口袋无纺布成本公式</field>
		<field field="if_side_iron" datatype="checkbox">边铁？</field>
		<field field="side_iron_mtrl_formula">边铁材料成本公式</field>
		<field field="side_iron_hr_formula">边铁人力成本公式</field>
		<field field="glue_mtrl_formula">胶水材料成本公式</field>
		<field field="if_rsorwa" datatype="checkbox">胶条/包角？</field>
		<field field="rsorwa_mtrl_formula">胶条/包角材料成本公式</field>
		<field field="rsorwa_hr_formula">胶条/包角人力成本公式</field>
		<field field="if_sponge_drilling" datatype="checkbox">海绵打孔？</field>
		<field field="sponge_drilling_hr_formula">海绵打孔人力成本公式</field>
		<field field="fork_mtrl_formula">弹叉材料成本公式</field>
		<field field="fork_hr_formula">弹叉人力成本公式</field>
		<field field="cnail_mtrl_formula">C钉/夹码材料成本公式</field>
		<field field="cnail_hr_formula">C钉/夹码人力成本公式</field>
		<field field="sponge_mtrl_formula">海绵包边材料成本公式</field>
		<field field="sponge_hr_formula">海绵包边人力成本公式</field>
		<field field="edge_mtrl_formula">封边材料成本公式</field>
		<field field="edge_hr_formula">封边人力成本公式</field>
		<field field="createby">登记人</field>
		<field field="createtime" datatype="datetime">登记时间</field>
		<field field="spring_mtrl_formula">Spring Mtrl Formula</field>
		<field field="spring_hr_formula">Spring Hr Formula</field>
		<field field="fabrics1_mtrl_formula">Fabrics1 Mtrl Formula</field>
		<field field="fabrics2_mtrl_formula">Fabrics2 Mtrl Formula</field>
		<field field="felt_mtrl_formula">Felt Mtrl Formula</field>
		<field field="felt_hr_formula">Felt Hr Formula</field>
		<field field="packet_mtrl_formula">Packet Mtrl Formula</field>
		<field field="packet_hr_formula">Packet Hr Formula</field>
		<field field="sponge_mtrl_tc_formula">Sponge Mtrl Tc Formula</field>
		<field field="spring_weight_formula">Spring Weight Formula</field>
		<field field="side_iron_weight_formula">Side Iron Weight Formula</field>
		<field field="hard_around_weight_formula">Hard Around Weight Formula</field>
		<field field="fabrics1_weight_formula">Fabrics1 Weight Formula</field>
		<field field="fabrics2_weight_formula">Fabrics2 Weight Formula</field>
		<field field="felt_weight_formula">Felt Weight Formula</field>
		<field field="cnail_weight_formula">Cnail Weight Formula</field>
		<field field="sponge_weight_formula">Sponge Weight Formula</field>
		<field field="sponge_weight_tc_formula">Sponge Weight Tc Formula</field>
		<field field="edge_weight_formula">Edge Weight Formula</field>
		<field field="fork_weight_formula">Fork Weight Formula</field>
	</displayfields>
</select>
